///////////////////////////////////////////////////////////
// Softwarebauelemente I, Aufgabe M6.1
//
// author:			Stephan Brumme
// last changes:	November 23, 2000


// import cout to display some data
#include <iostream>
#include "MRoom.h"

// open std namespace
using namespace std;



// define the namespace Room

// Initializes the TRoom structure
void MRoom::Init(TRoom &roo, Ordinal nor, Ordinal ar)
{
	roo.NumberOfRooms = nor;
	roo.Area = ar;
}


// Compares two exemplars
// returns "true" if attributes of both are equal; "false" otherwise
Boolean MRoom::EqualValue(TRoom roo1, TRoom roo2)
{
	return ((roo1.Area == roo2.Area) &&
		    (roo1.NumberOfRooms = roo2.NumberOfRooms));
}


// Copies the attributes of roo2
// returns "true" if successful, "false" if no memory allocated
Boolean MRoom::Copy(TRoom& roo1, TRoom roo2)
{
	if (EqualValue(roo1, roo2))
		return false;

	roo1.Area = roo2.Area;
	roo1.NumberOfRooms = roo2.NumberOfRooms;
	return true;
}


// Returns the NumberOfRooms attribute
Ordinal MRoom::GetNumberOfRooms(TRoom roo)
{
	return roo.NumberOfRooms;
}


// Sets the NumberOfRooms attribute
void MRoom::SetNumberOfRooms(TRoom &roo, Ordinal nor)
{
	roo.NumberOfRooms = nor;
}


// Returns the Area attribute
Ordinal MRoom::GetArea(TRoom roo)
{
	return roo.Area;
}


// Displays the attributes
void MRoom::Show(TRoom roo)
{
	cout<<"Es sind "<<roo.NumberOfRooms<<" Raeume mit einer Flaeche von "<<roo.Area
		<<"."<<endl;
}

// end of namespace Room
